Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1960015 - Harden openssh-6.6p1-allow-ip-opts.patch
Summary: Harden openssh-6.6p1-allow-ip-opts.patch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openssh
Version: 36
Hardware: All
OS: All
low
unspecified
Target Milestone: ---
Assignee: Dmitry Belyavskiy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-12 19:33 UTC by Vladimir D. Seleznev
Modified: 2022-10-21 16:12 UTC (History)
8 users (show)

Fixed In Version: openssh-9.0p1-7.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-10-21 16:12:18 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
openssh-6.6p1-allow-ip-opts.patch (deleted)
2021-05-12 19:33 UTC, Vladimir D. Seleznev
no flags Details | Diff

Description Vladimir D. Seleznev 2021-05-12 19:33:14 UTC
Created attachment 1782538 [details]
openssh-6.6p1-allow-ip-opts.patch

Check IP option length to prevent the array range outgo and the potential infinite loop.

Comment 2 Ben Cotton 2021-08-10 13:47:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 3 Dmitry Belyavskiy 2022-02-01 13:45:19 UTC
Still worth doing, moving to rawhide

Comment 4 Ben Cotton 2022-02-08 20:22:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 36 development cycle.
Changing version to 36.

Comment 5 Fedora Update System 2022-10-21 16:08:46 UTC
FEDORA-2022-05ac513052 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-05ac513052

Comment 6 Dmitry Belyavskiy 2022-10-21 16:11:41 UTC
Thanks for your contribution!

Patch applied.

Comment 7 Fedora Update System 2022-10-21 16:12:18 UTC
FEDORA-2022-05ac513052 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.